VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Types | Public Attributes | List of all members
CViewContainer::Impl Struct Reference

## Public Types
using | ViewContainerListenerDispatcher = DispatchList<IViewContainerListener*>

## Public Attributes
ViewContainerListenerDispatcher | viewContainerListeners
CGraphicsTransform | transform
ViewList | children
CDrawStyle | backgroundColorDrawStyle {kDrawFilledAndStroked}
CColor | backgroundColor {kBlackCColor}

## Member Typedef Documentation

## ◆ ViewContainerListenerDispatcher

using ViewContainerListenerDispatcher = DispatchList<IViewContainerListener*>

## Member Data Documentation

## ◆ backgroundColor

CColor backgroundColor {kBlackCColor}

## ◆ backgroundColorDrawStyle

CDrawStyle backgroundColorDrawStyle {kDrawFilledAndStroked}

## ◆ children

ViewList children

## ◆ transform

CGraphicsTransform transform

## ◆ viewContainerListeners

ViewContainerListenerDispatcher viewContainerListeners

The documentation for this struct was generated from the following file:

- cviewcontainer.cpp